This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 873325 - When changing base channel to a clone or origin-of-clone, clones or origin-of-clones for child channels are set for synced channels, not pure custom channels
When changing base channel to a clone or origin-of-clone, clones or origin-of...
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
550
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2012-11-05 09:51 EST by Jan Pazdziora
Modified: 2015-05-29 16:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 16:10:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2012-11-05 09:51:01 EST
Description of problem:

When changing base channel to a clone of the current channel or to a origin from which the current base channel was cloned, the SystemChannels.do page automatically sets child channels that are clones of the current child channels, or that are origins of current cloned child channels.

However, it's only done for RHEL content, not for true custom channels.

Version-Release number of selected component (if applicable):

Satellite 5.5.

How reproducible:

Deterministic.

Steps to Reproduce:
1. Have RHEL and RHN Tools synced.
2. Create custom channel as child channel of that RHEL channel (ad-child-2).
3. Clone the RHEL channel (to ad-test-1) and the two child channels (to ad-rhn-tools-1 and Clone of ad-child-2), preserving the structure.
4. Subscribe system to RHEL and those two channels.
5. Click the Alter Channel Subscriptions on the systems' Details > Overview page.
6. Change the base software channel to that clone of the RHEL channel, click Confirm.
  
Actual results:

This system is currently subscribed to the following software channels:

    Red Hat Enterprise Linux Server (v. 6 for 32-bit x86)
      RHN Tools for RHEL (v. 6 for 32-bit x86)
      ad-child-2

If you confirm the modifications of this system's base software channel it will be subscribed to the following software channels:

    ad-dev-1
      ad-rhn-tools-1

Expected results:

This system is currently subscribed to the following software channels:

    Red Hat Enterprise Linux Server (v. 6 for 32-bit x86)
      RHN Tools for RHEL (v. 6 for 32-bit x86)
      ad-child-2

If you confirm the modifications of this system's base software channel it will be subscribed to the following software channels:

    ad-dev-1
      ad-rhn-tools-1
      Clone of ad-child-2 

Additional info:

Note You need to log in before you can comment on or make changes to this bug.